# h323caps.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/mediafmt.h>`
`#include <h323/channels.h>`

Include dependency graph for h323caps.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | H323Capability
class | H323NonStandardCapabilityInfo
class | H323GenericCapabilityInfo
class | H323RealTimeCapability
class | H323AudioCapability
class | H323NonStandardAudioCapability
class | H323GenericAudioCapability
class | H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >
class | H323VideoCapability
class | H323NonStandardVideoCapability
class | H323GenericVideoCapability
class | H323GenericVideoCapabilityTemplate< oid, fmtFunc >
class | H323ExtendedVideoCapability
class | H323GenericControlCapability
class | H323H239VideoCapability
class | H323H239ControlCapability
class | H323DataCapability
class | H323NonStandardDataCapability
class | H323_G711Capability
class | H323_UserInputCapability
class | H323SimultaneousCapabilities
class | H323CapabilitiesSet
class | H323Capabilities

## Defines

#define | H323_REGISTER_CAPABILITY(cls, capName) static H323CapabilityFactory::Worker<cls> cls##Factory(capName, true); \

## Typedefs

typedef PFactory< H323Capability, std::string > | H323CapabilityFactory

## Functions

const OpalMediaFormat & | GetH239VideoMediaFormat ()
| PARRAY (H323CapabilitiesList, H323Capability)
| PARRAY (H323CapabilitiesListArray, H323CapabilitiesList)
| PARRAY (H323CapabilitiesSetArray, H323SimultaneousCapabilities)

## Define Documentation

#define H323_REGISTER_CAPABILITY | ( | cls,
|  | capName |  | ) | static H323CapabilityFactory::Worker<cls> cls##Factory(capName, true); \

## Typedef Documentation

typedef PFactory<H323Capability, std::string> H323CapabilityFactory

## Function Documentation

const OpalMediaFormat& GetH239VideoMediaFormat | ( |  | ) |

PARRAY | ( | H323CapabilitiesSetArray | ,
|  | H323SimultaneousCapabilities |  |
| ) |  |  |

PARRAY | ( | H323CapabilitiesListArray | ,
|  | H323CapabilitiesList |  |
| ) |  |  |

PARRAY | ( | H323CapabilitiesList | ,
|  | H323Capability |  |
| ) |  |  |